org.apache.lucene.search.vectorhighlight

## Interface FragListBuilder

All Known Implementing Classes:
  BaseFragListBuilder, SimpleFragListBuilder, SingleFragListBuilder, WeightedFragListBuilder

    public interface FragListBuilder

FragListBuilder is an interface for FieldFragList builder classes. A FragListBuilder class can be plugged in to Highlighter.

### Method Summary

All Methods Instance Methods Abstract Methods
`FieldFragList` `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

### Method Detail

#### createFieldFragList

    FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                      int fragCharSize)

create a FieldFragList.

Parameters:
  `fieldPhraseList` - FieldPhraseList object
  `fragCharSize` - the length (number of chars) of a fragment
Returns:
  the created FieldFragList object